Bug 188135 - Activated accessibility functions causes "double free or corruption"
Activated accessibility functions causes "double free or corruption"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: atk (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks: 169147
  Show dependency treegraph
 
Reported: 2006-04-06 06:38 EDT by E Mair
Modified: 2008-02-08 22:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 22:35:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from "strace gthumb" (630.49 KB, text/plain)
2006-04-06 06:38 EDT, E Mair
no flags Details
strace output from gnome-system-monitor (2.07 MB, text/plain)
2006-09-08 16:21 EDT, E Mair
no flags Details
BackTrace from gdb (2.03 KB, text/plain)
2006-09-21 12:17 EDT, Michal Babej
no flags Details

  None (edit)
Description E Mair 2006-04-06 06:38:51 EDT
Description of problem:
When I run gthumb from a GNOME menu or panel launcher, nothing happens.
Running it from a terminal blurts out a long error message beginning with:
"*** glibc detected *** gthumb: double free or corruption (out): 0xbfccc3f0 ***"
See "additional info". After this I have a running gthumb process, which exits
on "killall gthumb".

Version-Release number of selected component (if applicable):
gthumb-2.7.5.1-1.fc5.1

How reproducible:
Always

Steps to Reproduce:
1. Run gthumb
2.
3.
  
Actual results:
See description.

Expected results:
gthumb starts and displays its GUI

Additional info:

Terminal output from running "gthumb &":

GTK Accessibility Module initialized
Bonobo accessibility support initialized
*** glibc detected *** gthumb: double free or corruption (out): 0xbfccc3f0 ***
======= Backtrace: =========
/lib/libc.so.6[0xa9cf18]
/lib/libc.so.6(__libc_free+0x79)[0xaa041d]
/usr/lib/libglib-2.0.so.0(g_free+0x31)[0x7cd94d1]
/usr/lib/libORBit-2.so.0(ORBit_free_T+0xad)[0x4864bd]
/usr/lib/libORBit-2.so.0[0x4867d4]
/usr/lib/libORBit-2.so.0[0x4867a8]
/usr/lib/libORBit-2.so.0(ORBit_free_T+0x83)[0x486493]
/usr/lib/libORBit-2.so.0(ORBit_free+0x41)[0x486521]
/usr/lib/libORBit-2.so.0(CORBA_free+0x1d)[0x48658d]
/usr/lib/gtk-2.0/modules/libatk-bridge.so[0x123a76]
/usr/lib/gtk-2.0/modules/libatk-bridge.so[0x1248e9]
/usr/lib/libgobject-2.0.so.0[0x9ef831]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x8c7)[0x9f0f47]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x9f1109]
/usr/lib/libatk-1.0.so.0[0x438b87e]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__PARAM+0x59)[0x9eb8e9]
/usr/lib/libgobject-2.0.so.0[0x9dd7a9]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x11d)[0x9def6d]
/usr/lib/libgobject-2.0.so.0[0x9efeca]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x8c7)[0x9f0f47]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x9f1109]
/usr/lib/libgobject-2.0.so.0[0x9e3431]
/usr/lib/libgobject-2.0.so.0[0x9dfd4f]
/usr/lib/libgobject-2.0.so.0(g_object_notify+0x2b2)[0x9e4f52]
/usr/lib/gtk-2.0/modules/libgail.so[0x8bc890]
/usr/lib/gtk-2.0/modules/libgail.so[0x8bc51f]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__OBJECT+0x59)[0x9eb6d9]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x11d)[0x9def6d]
/usr/lib/libgobject-2.0.so.0[0x9efa3d]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x8c7)[0x9f0f47]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x9f1109]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_add+0x12c)[0x4f24c3c]
/usr/lib/libglade-2.0.so.0(glade_standard_build_children+0xe0)[0x6b2bd0]
/usr/lib/libglade-2.0.so.0(glade_xml_set_common_params+0x568)[0x6b2018]
/usr/lib/libglade-2.0.so.0(glade_xml_build_widget+0x18b)[0x6b28bb]
/usr/lib/libglade-2.0.so.0(glade_standard_build_children+0x97)[0x6b2b87]
/usr/lib/libglade-2.0.so.0(glade_xml_set_common_params+0x568)[0x6b2018]
/usr/lib/libglade-2.0.so.0(glade_xml_build_widget+0x18b)[0x6b28bb]
/usr/lib/libglade-2.0.so.0(glade_standard_build_children+0x97)[0x6b2b87]
/usr/lib/libglade-2.0.so.0(glade_xml_set_common_params+0x568)[0x6b2018]
/usr/lib/libglade-2.0.so.0(glade_xml_build_widget+0x18b)[0x6b28bb]
/usr/lib/libglade-2.0.so.0(glade_standard_build_children+0x97)[0x6b2b87]
/usr/lib/libglade-2.0.so.0(glade_xml_set_common_params+0x568)[0x6b2018]
/usr/lib/libglade-2.0.so.0(glade_xml_handle_internal_child+0x1f0)[0x6b25d0]
/usr/lib/libglade-2.0.so.0(glade_standard_build_children+0x5e)[0x6b2b4e]
/usr/lib/libglade-2.0.so.0(glade_xml_set_common_params+0x568)[0x6b2018]
/usr/lib/libglade-2.0.so.0(glade_xml_handle_internal_child+0x1f0)[0x6b25d0]
/usr/lib/libglade-2.0.so.0(glade_standard_build_children+0x5e)[0x6b2b4e]
/usr/lib/libglade-2.0.so.0[0x6b9c81]
/usr/lib/libglade-2.0.so.0(glade_xml_set_common_params+0x568)[0x6b2018]
/usr/lib/libglade-2.0.so.0(glade_xml_build_widget+0x18b)[0x6b28bb]
/usr/lib/libglade-2.0.so.0[0x6b2d18]
/usr/lib/libglade-2.0.so.0(glade_xml_construct+0x76)[0x6b2e46]
/usr/lib/libglade-2.0.so.0(glade_xml_new+0x4b)[0x6b2ecb]
gthumb(gth_browser_new+0x1f05)[0x8086505]
gthumb[0x80a2fd0]
gthumb(main+0xb72)[0x80a3b72]
/lib/libc.so.6(__libc_start_main+0xdc)[0xa4e7e4]
gthumb[0x8060821]
======= Memory map: ========
00101000-00112000 r-xp 00000000 08:02 6640805    /lib/libnsl-2.4.so
00112000-00113000 r-xp 00010000 08:02 6640805    /lib/libnsl-2.4.so
00113000-00114000 rwxp 00011000 08:02 6640805    /lib/libnsl-2.4.so
00114000-00116000 rwxp 00114000 00:00 0
00116000-0011f000 r-xp 00000000 08:02 6638953    /lib/libnss_files-2.4.so
0011f000-00120000 r-xp 00008000 08:02 6638953    /lib/libnss_files-2.4.so
00120000-00121000 rwxp 00009000 08:02 6638953    /lib/libnss_files-2.4.so
00121000-00126000 r-xp 00000000 08:02 4552547   
/usr/lib/gtk-2.0/modules/libatk-bridge.so
00126000-00127000 rwxp 00005000 08:02 4552547   
/usr/lib/gtk-2.0/modules/libatk-bridge.so
00127000-00131000 r-xp 00000000 08:02 5299205   
/usr/lib/gnome-vfs-2.0/modules/libfile.so
00131000-00132000 rwxp 0000a000 08:02 5299205   
/usr/lib/gnome-vfs-2.0/modules/libfile.so
00132000-00139000 r-xp 00000000 08:02 4134979    /usr/lib/libfam.so.0.0.0
00139000-0013a000 rwxp 00006000 08:02 4134979    /usr/lib/libfam.so.0.0.0
0013a000-0013e000 r-xp 00000000 08:02 4546697   
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so
0013e000-0013f000 rwxp 00003000 08:02 4546697   
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so
0013f000-00141000 r-xp 00000000 08:02 4546135   
/usr/lib/pango/1.5.0/modules/pango-basic-fc.so
00141000-00142000 rwxp 00002000 08:02 4546135   
/usr/lib/pango/1.5.0/modules/pango-basic-fc.so
00145000-00146000 r-xp 00000000 08:02 4186897    /usr/lib/gconv/ISO8859-1.so
00146000-00148000 rwxp 00000000 08:02 4186897    /usr/lib/gconv/ISO8859-1.so
0014a000-00157000 r-xp 00000000 08:02 4135774    /usr/lib/libpanel-applet-2.so.0.2.4
00157000-00158000 rwxp 0000d000 08:02 4135774    /usr/lib/libpanel-applet-2.so.0.2.4
00158000-0015e000 r-xp 00000000 08:02 4546704   
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-xpm.so
0015e000-0015f000 rwxp 00005000 08:02 4546704   
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-xpm.so
0015f000-00162000 r-xp 00000000 08:02 4552868    /usr/lib/libglade/2.0/libbonobo.so
00162000-00163000 rwxp 00002000 08:02 4552868    /usr/lib/libglade/2.0/libbonobo.so
00165000-00284000 r-xp 00000000 08:02 6640802    /lib/libcrypto.so.0.9.8a
00284000-00297000 rwxp 0011e000 08:02 6640802    /lib/libcrypto.so.0.9.8a
00297000-0029a000 rwxp 00297000 00:00 0
0029c000-0029f000 r-xp 00000000 08:02 6640815    /lib/libcap.so.1.10
0029f000-002a0000 rwxp 00002000 08:02 6640815    /lib/libcap.so.1.10
002a2000-002a6000 r-xp 00000000 08:02 4134751    /usr/lib/libgthread-2.0.so.0.1000.1
002a6000-002a7000 rwxp 00003000 08:02 4134751    /usr/lib/libgthread-2.0.so.0.1000.1
002a9000-002af000 r-xp 00000000 08:02 6640808    /lib/librt-2.4.so
002af000-002b0000 r-xp 00005000 08:02 6640808    /lib/librt-2.4.so
002b0000-002b1000 rwxp 00006000 08:02 6640808    /lib/librt-2.4.so
002b3000-002be000 r-xp 00000000 08:02 4144401    /usr/lib/libavahi-common.so.3.3.0
002be000-002bf000 rwxp 0000a000 08:02 4144401    /usr/lib/libavahi-common.so.3.3.0
002c1000-002d4000 r-xp 00000000 08:02 4134997   
/usr/lib/libbonobo-activation.so.4.0.0
002d4000-002d6000 rwxp 00013000 08:02 4134997   
/usr/lib/libbonobo-activation.so.4.0.0
002d8000-002e7000 r-xp 00000000 08:02 4144403    /usr/lib/libavahi-client.so.3.1.1
002e7000-002e8000 rwxp 0000e000 08:02 4144403    /usr/lib/libavahi-client.so.3.1.1
002ea000-002ed000 r-xp 00000000 08:02 4144402    /usr/lib/libavahi-glib.so.1.0.0
002ed000-002ee000 rwxp 00002000 08:02 4144402    /usr/lib/libavahi-glib.so.1.0.0
002f0000-002f4000 r-xp 00000000 08:02 4134996   
/usr/lib/libORBitCosNaming-2.so.0.1.0
002f4000-002f5000 rwxp 00004000 08:02 4134996   
/usr/lib/libORBitCosNaming-2.so.0.1.0
002f7000-00303000 r-xp 00000000 08:02 4135029    /usr/lib/libgnome-keyring.so.0.0
Comment 1 E Mair 2006-04-06 06:38:51 EDT
Created attachment 127405 [details]
output from "strace gthumb"
Comment 2 E Mair 2006-04-06 15:09:45 EDT
I've been tearing my hair over this one for a while now.
It appears it wasn't (only?) gthumb's fault. I've had generally weird behaviour
and inexplicable crashes on exit with other apps/applets since I reported this,
e.g. gnome-system-monitor, alacarte, gconf-editor...

Evetnually I stumbled on the "Activate accessibility functions" setting
(translated from my Swedish locale, I hope it's clear what I mean) in
gnome-at-properties. During my experimenting I had activated this setting and
forgotten about it. Nothing else in gnome-at-properties was turned on though.

I hope I'm picking the right component for this bugreport now (atk?). Updated
the summary. Reassigned to atk owner.

atk-1.11.4-1.fc5.1
at-spi-1.7.7-1.fc5.1
control-center-2.14.0-1
Comment 3 Matthias Clasen 2006-09-08 13:34:30 EDT
can you try with at-spi-1.7.7-1.fc5.3 ?
Comment 4 E Mair 2006-09-08 16:18:36 EDT
With accessibility functions enabled and at-spi-1.7.7-1.fc5.3 I no longer have
any problems starting GNOME/GTK apps, but lots of them crash on exit (not
gthumb, though!).

For example, output from Alacarte when run from a terminal:

$ alacarte
GTK Accessibility Module initialized
Bonobo accessibility support initialized
-> [here I click close or select Quit in the File menu]
(alacarte:10289): Gnome-CRITICAL **: gnome_program_get_app_version: assertion
`program != NULL' failed
GTK Accessibility Module initialized
Bonobo accessibility support initialized


Comment 5 E Mair 2006-09-08 16:21:23 EDT
Created attachment 135876 [details]
strace output from gnome-system-monitor

Dunno if these things help, here goes anyway...
Comment 6 Michal Babej 2006-09-21 12:17:00 EDT
Created attachment 136876 [details]
BackTrace from gdb

with "at-spi-debuginfo" and "ORBit2-debuginfo" installed.
Comment 7 Matthias Clasen 2008-02-08 22:35:26 EST
Fedora 5 is no longer supported, and I don't see the crash-at-exit problem in
current releases. Closing.

Note You need to log in before you can comment on or make changes to this bug.